View Issue Details

IDProjectCategoryView StatusLast Update
0003287GNUnetGNSpublic2014-04-08 16:41
ReporterChristian GrothoffAssigned To 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.10.1Fixed in Version0.10.1 
Summary0003287: compiler warnings compiling gnunet-gns-proxy
DescriptionIn file included from /home/grothoff//include/curl/curl.h:2283:0,
                 from gnunet-gns-proxy.c:32:
gnunet-gns-proxy.c: In function ‘check_ssl_certificate’:
/home/grothoff//include/curl/typecheck-gcc.h:126:42: warning: call to ‘_curl_easy_getinfo_err_curl_slist’ declared with attribute warning: curl_easy_getinfo expects a pointer to struct curl_slist * for this info [enabled by default]
         _curl_easy_getinfo_err_curl_slist(); \
                                          ^
gnunet-gns-proxy.c:826:7: note: in expansion of macro ‘curl_easy_getinfo’
       curl_easy_getinfo (s5r->curl,
       ^
In file included from ../../src/include/gnunet_crypto_lib.h:56:0,
                 from ../../src/include/gnunet_util_lib.h:39,
                 from gnunet-gns-proxy.c:41:
gnunet-gns-proxy.c: In function ‘curl_task_download’:
/home/grothoff//include/curl/typecheck-gcc.h:117:38: warning: call to ‘_curl_easy_getinfo_err_string’ declared with attribute warning: curl_easy_getinfo expects a pointer to char * for this info [enabled by default]
         _curl_easy_getinfo_err_string(); \
                                      ^
../../src/include/gnunet_common.h:581:41: note: in definition of macro ‘GNUNET_break’
 #define GNUNET_break(cond) do { if (! (cond)) { GNUNET_log(GNUNET_ERROR_TYPE_ERROR, _("Assertion failed at %s:%d.\n"), __FILE__, __LINE__); } } while(0)
                                         ^
gnunet-gns-proxy.c:1338:7: note: in expansion of macro ‘curl_easy_getinfo’
       curl_easy_getinfo (msg->easy_handle,
       ^
  CCLD gnunet-gns-proxy
TagsNo tags attached.

Activities

Matthias Wachs

2014-02-04 16:02

manager   ~0008065

Fixing curl_task_download:
http://curl.haxx.se/libcurl/c/curl_easy_getinfo.html

Please note that for internal reasons, the value is returned as a char pointer, although effectively being a 'void *'.

Matthias Wachs

2014-02-04 16:20

manager   ~0008066

Both warnings fixed by casting to types specified in curl getinfo documentation...

Issue History

Date Modified Username Field Change
2014-01-30 13:00 Christian Grothoff New Issue
2014-01-30 13:00 Christian Grothoff Status new => assigned
2014-01-30 13:00 Christian Grothoff Assigned To => Matthias Wachs
2014-01-30 13:01 Christian Grothoff Assigned To Matthias Wachs =>
2014-01-30 13:01 Christian Grothoff Status assigned => confirmed
2014-02-04 16:02 Matthias Wachs Note Added: 0008065
2014-02-04 16:20 Matthias Wachs Note Added: 0008066
2014-02-04 16:21 Matthias Wachs Status confirmed => resolved
2014-02-04 16:21 Matthias Wachs Resolution open => fixed
2014-04-08 16:39 Christian Grothoff Fixed in Version => 0.10.1
2014-04-08 16:39 Christian Grothoff Target Version => 0.10.1
2014-04-08 16:41 Christian Grothoff Status resolved => closed